smartsens 2.0.0.0

Data Fields
smartsens_sensor_info Struct Reference

Sensor info. More...

`#include <smartsens.h>`

## Data Fields
uint8_t | sensor_type
uint8_t | driver_id
uint8_t | driver_version
uint8_t | power
union smartsens_u16_conv | max_range
union smartsens_u16_conv | resolution
union smartsens_float_conv | max_rate
union smartsens_u32_conv | fifo_reserved
union smartsens_u32_conv | fifo_max
uint8_t | event_size
union smartsens_float_conv | min_rate

## Detailed Description

Sensor info.

Struct for sensor info of the Smart Sens Click driver.

## Field Documentation

## ◆ driver_id

uint8_t driver_id

## ◆ driver_version

uint8_t driver_version

## ◆ event_size

uint8_t event_size

## ◆ fifo_max

union smartsens_u32_conv fifo_max

## ◆ fifo_reserved

union smartsens_u32_conv fifo_reserved

## ◆ max_range

union smartsens_u16_conv max_range

## ◆ max_rate

union smartsens_float_conv max_rate

## ◆ min_rate

union smartsens_float_conv min_rate

## ◆ power

uint8_t power

## ◆ resolution

union smartsens_u16_conv resolution

## ◆ sensor_type

uint8_t sensor_type

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/smartsens/lib_smartsens/include/smartsens.h